Name:           pngcheck
Version:        4.0.0
Release:        %mkrel 1
Summary:        PNG file format checker
License:        MIT and GPLv2+
Group:          Graphics/Utilities
Url:            https://github.com/pnggroup/pngcheck
Source0:        https://github.com/pnggroup/%{name}/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  pkgconfig(zlib)

%description
pngcheck verifies the integrity of PNG, JNG and MNG files (by checking the
internal 32-bit CRCs or checksums) and optionally dumps almost all of the
chunk-level information in the image in human-readable form. For example, it
can be used to print the basic stats about an image (dimensions, bit depth,
etc.); to list the color and transparency info in its palette; or to extract
the embedded text annotations. All PNG and JNG chunks are supported, plus
almost all MNG chunks (everything but PAST, DISC, tERm, DROP, DBYK, and
ORDR). This is a command-line program with batch capabilities (e.g.,
``pngcheck *.png'').

%prep
%autosetup -p1

%build
%cmake

%cmake_build

%install
%cmake_install

%files
%license LICENSE
%{_bindir}/pngcheck
%{_mandir}/man1/pngcheck.1.*



%changelog
* Fri Jun 20 2025 barjac <barjac> 4.0.0-1.mga10
+ Revision: 2193273
- new version 4.0.0
- new upstream
- removed obsolete patches
- use cmake
- man page now in tarball
+ neoclust <neoclust>
- Add P100: Fixes CVE-2020-27818 (mga#32043)

* Wed Mar 16 2022 umeabot <umeabot> 3.0.3-2.mga9
+ Revision: 1794999
- Mageia 9 Mass Rebuild

* Mon May 10 2021 barjac <barjac> 3.0.3-1.mga9
+ Revision: 1722366
- new version 3.0.3
- fixes Mga#28879 (rhbz#1949800) divide by zero crash and vulnerability

* Wed Feb 10 2021 barjac <barjac> 3.0.2-1.mga9
+ Revision: 1675136
- New version 3.0.2
- Fixes RHBZ#1908559 and RHBZ#1907428 (Mga#28331)
- Buffer overflow and underrun fixes

* Mon Dec 14 2020 barjac <barjac> 3.0.0-1.mga8
+ Revision: 1657460
- new version 3.0.0
- remove patches fixed upstream

* Thu Nov 26 2020 barjac <barjac> 2.4.0-2.mga8
+ Revision: 1649403
- Patch to fix Mga#27658
- pngcheck new security issue rhbz#1897485

* Sun Nov 01 2020 barjac <barjac> 2.4.0-1.mga8
+ Revision: 1641056
- new version 2.4.0
- Patch to fix debug pkg
- remove obsolete patches

* Fri Feb 14 2020 umeabot <umeabot> 2.3.0-5.mga8
+ Revision: 1516011
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%setup_compile_flags

* Sun Sep 23 2018 umeabot <umeabot> 2.3.0-4.mga7
+ Revision: 1300324
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 barjac <barjac> 2.3.0-3.mga7
+ Revision: 1217600
- suppress warning about zlib version
- Mga#22883 (pngcheck warns of zlib version)

* Mon Sep 18 2017 cjw <cjw> 2.3.0-2.mga7
+ Revision: 1155135
- fix debug packages

* Mon Jul 04 2016 barjac <barjac> 2.3.0-1.mga6
+ Revision: 1038614
- Import pngcheck with thanks to OpenSuSE

